dotlock(1)

BEZEICHNUNG
mutt_dotlock - E-Mail-Spool-Dateien sperren

ÜBERSICHT

mutt_dotlock [-t|-f|-u|-d] [-p] [-r Wiederholungen] Datei

BESCHREIBUNG

mutt_dotlock implementiert die traditionalle Methode zum Sperren von E-Mail-Spool-Dateien: Um die Datei zu sperren, wird eine Datei namens Datei.lock angelegt. Das Programm arbeitet mit den Rechten der Gruppe »mail«, falls erforderlich.

OPTIONEN

-t  unternimmt nur einen Versuch. mutt_dotlock wird die Datei nicht wirklich sperren, aber den aufrufenden Prozess darüber informieren, ob es überhaupt möglich ist, die Datei zu sperren.

-f  erzwingt die Sperrung. Falls bereits ein anderer Prozess länger als einen bestimmten Zeitraum die Datei gesperrt hat, hebt mutt_dotlock diese Sperre auf, indem es die Sperrdatei entfernt.

-u  hebt die Sperre auf. mutt_dotlock entfernt Datei.lock.

-d  löscht. mutt_dotlock sperrt die Datei, entfernt sie, wenn sie die Größe 0 hat und entfernt danach Datei.lock.

-p  verwendet besondere Privilegien. Wenn diese Option angegeben ist, arbeitet mutt_dotlock beim Anlegen und Löschen von Sperrdateien mit den Privilegien der Gruppe »mail«.

-r n
    weist mutt_dotlock an, die angegebene Anzahl Wiederholungen auszuführen, bevor aufgegeben oder (falls es mit der Befehlszeilenoption -f aufgerufen wird) eine Sperre aufgehoben wird. Der Standardwert ist 5. mutt_dotlock wartet eine Sekunde zwischen aufeinanderfolgenden Sperrversuchen.

DATEIEN

Datei.lock
    Die von mutt_dotlock erzeugte Sperrdatei.

SIEHE AUCH

fcntl(2), flock(2), lockfile(1), mutt(1)

DIAGNOSE

mutt_dotlock gibt sämtliche Diagnostik in seinen Rückgabewerten aus:

0 - DL_EX_OK
    Das Programm wurde erfolgreich ausgeführt.

1 - DL_EX_ERROR
    Ein nicht näher bezeichneter Fehler ist aufgetreten, zum Beispiel fehlerhafte Befehlszeilenparameter oder unzureichender Systemspeicher.

3 - DL_EX_EXIST
    Der Benutzer will eine Datei sperren, die bereits von einem anderen Prozess mit einer Sperre belegt wurde. Falls mutt_dotlock mit der Befehlszeilenoption -f aufgerufen wurde, erzeugt es diesen Fehler nicht, aber hebt die durch andere Prozesse erzeugten Sperrungen auf.

4 - DL_EX_NEED_RPIVS
    Dieser Wert kann nur dann zurückgegeben werden, wenn mutt_dotlock mit der Befehlszeilenoption -t aufgerufen wurde. Er bedeutet, dass mutt_dotlock seine Rechte der Gruppe »mail« nutzen muss, um die Datei zu sperren.

5 - DL_EX_IMPOSSIBLE
    Dieser Wert kann nur dann zurückgegeben werden, wenn mutt_dotlock mit der Befehlszeilenoption -t aufgerufen wurde. Er bedeutet, dass mutt_dotlock selbst mit den Rechten der Gruppe »mail« nicht in der Lage ist, die Datei zu sperren.

ANMERKUNGEN

mutt_dotlock versucht, eine NFS-sichere »Dotlocking«-Methode zu implementieren, die von lockfile (1) übernommen wurde.

Falls der Benutzer mit seinen normalen Rechten die Datei nicht zum Lesen öffnen kann, gibt mutt_dotlock den Wert DL_EX_ERROR zurück, um bestimmte Angriffe gegen die Spool-Dateien anderer Benutzer zu verhindern. Der Code verhindert sorgfältig Ressourcenwettläufe beim Überprüfen der Zugriffsrechte. Details hierzu finden Sie in den Kommentaren der Datei dotlock.c.

GESCHICHTE

mutt_dotlock ist Teil des Pakets »Mutt Mail User Agent«. Es wurde erstellt, um zu vermeiden, dass Mutt mit den Rechten der Gruppe »mail« ausgeführt werden muss.

AUTOR
Thomas Roessler <roessler@does-not-exist.org>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.